org.eclipse.graphiti.features.context.impl

## Class DirectEditingContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext
      - - org.eclipse.graphiti.internal.features.context.impl.base.DetailedPictogramElementContext
        - - org.eclipse.graphiti.features.context.impl.DirectEditingContext

All Implemented Interfaces:
  IContext, IDirectEditingContext, IPictogramElementContext, IPropertyBag

    public class DirectEditingContext
    extends DetailedPictogramElementContext
    implements IDirectEditingContext

The Class DirectEditingContext.

### Constructor Summary

Constructors
Constructor and Description
`DirectEditingContext(PictogramElement pictogramElement, GraphicsAlgorithm graphicsAlgorithm)` Creates a new `DirectEditingContext`.

### Method Summary

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.DetailedPictogramElementContext

`getGraphicsAlgorithm, toString`

### Methods inherited from class org.eclipse.graphiti.internal.features.context.impl.base.PictogramElementContext

`getPictogramElement`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.IDirectEditingContext

`getGraphicsAlgorithm`

### Methods inherited from interface org.eclipse.graphiti.features.context.IPictogramElementContext

`getPictogramElement`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### DirectEditingContext

    public DirectEditingContext(PictogramElement pictogramElement,
                                GraphicsAlgorithm graphicsAlgorithm)

Creates a new `DirectEditingContext`.

Parameters:
  `pictogramElement` - the pictogram element
  `graphicsAlgorithm` - the graphics algorithm